Package ru.bitel.bgbilling.plugins.cashcheck.common

# Class Payment

java.lang.Object
ru.bitel.bgbilling.plugins.cashcheck.common.Payment

All Implemented Interfaces:
  `Serializable`

public class Payment extends Object implements Serializable
Моделька "паймент", она типа расширяет существующую модель из таблицы платежей - объединяет тут поля из таблицы очереди, контракта итд. Она же используется для расходов/возвратов. Оно же по сути и "запись лога чеков".

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static int`
  `IS_CHARGE`
  1 - чек сущности привязанной на расход биллинга (возвратов/продаж)
  `static int`
  `IS_PAYMENT`
  0 - чек сущности привязанной на приход биллинга (платежа/покупок)
  `static String`
  `LAST_ERROR_NEW`
  содержимое lastError, которое трактуется как "новый чек" для виртуальных чеков которые надо будет печатать позже

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Payment()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCheckData()`
  содержимое чека
  `Check.Type`
  `getCheckType()`
  реальный тип чека: продажа, возврат, коррекция итд (столбец check_type)
  `String`
  `getComment()`
  `String`
  `getContractComment()`
  `int`
  `getContractId()`
  `String`
  `getContractTitle()`
  `Date`
  `getDate()`
  `String`
  `getFiscalData()`
  `String`
  `getLastError()`
  последняя ошибка, если чек не напечатался (столбец last_error)
  `Date`
  `getLogDate()`
  `int`
  `getLogId()`
  `int`
  `getPaymentId()`
  `int`
  `getPaymentTypeId()`
  `String`
  `getPaymentTypesTitle()`
  `String`
  `getPendingId()`
  `int`
  `getPosId()`
  `String`
  `getPosMapping()`
  `String`
  `getPrintMode()`
  Deprecated.
  use getPosMapping
  `Date`
  `getQueueDate()`
  Deprecated.
  use getLogDate()
  `BigDecimal`
  `getSumma()`
  `int`
  `getUserId()`
  `boolean`
  `isLastErrorIsConnect()`
  последняя ошибка является конкретно ошибкой коннекта
  `boolean`
  `isPayment()`
  `void`
  `setCheckData(String checkData)`
  содержимое чека
  `void`
  `setCheckType(Check.Type checkType)`
  реальный тип чека: продажа, возврат, коррекция итд (столбец check_type)
  `void`
  `setComment(String comment)`
  `void`
  `setContractComment(String contractComment)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setContractTitle(String contractTitle)`
  `void`
  `setDate(Date date)`
  `void`
  `setFiscalData(String fiscalData)`
  `void`
  `setIsPayment(boolean isPayment)`
  `void`
  `setLastError(String lastError)`
  последняя ошибка, если чек не напечатался (столбец last_error)
  `void`
  `setLastErrorIsConnect(boolean lastErrorIsConnect)`
  последняя ошибка является конкретно ошибкой коннекта
  `void`
  `setLogDate(Date logDate)`
  `void`
  `setLogId(int logId)`
  `void`
  `setPaymentId(int paymentId)`
  `void`
  `setPaymentTypeId(int paymentTypeId)`
  `void`
  `setPaymentTypesTitle(String paymentTypesTitle)`
  `void`
  `setPendingId(String pendingId)`
  `void`
  `setPosId(int posId)`
  `void`
  `setPosMapping(String posMapping)`
  `void`
  `setSumma(BigDecimal summa)`
  `void`
  `setUserId(int userId)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### LAST_ERROR_NEW

    public static String LAST_ERROR_NEW
    содержимое lastError, которое трактуется как "новый чек" для виртуальных чеков которые надо будет печатать позже

  - ### IS_PAYMENT

    public static int IS_PAYMENT
    0 - чек сущности привязанной на приход биллинга (платежа/покупок)

  - ### IS_CHARGE

    public static int IS_CHARGE
    1 - чек сущности привязанной на расход биллинга (возвратов/продаж)

- ## Constructor Details

  - ### Payment

    public Payment()

- ## Method Details

  - ### getContractComment

    public String getContractComment()

  - ### setContractComment

    public void setContractComment(String contractComment)

  - ### getPaymentTypeId

    public int getPaymentTypeId()

  - ### setPaymentTypeId

    public void setPaymentTypeId(int paymentTypeId)

  - ### setComment

    public void setComment(String comment)

  - ### setUserId

    public void setUserId(int userId)

  - ### setSumma

    public void setSumma(BigDecimal summa)

  - ### setContractId

    public void setContractId(int contractId)

  - ### setDate

    public void setDate(Date date)

  - ### getDate

    public Date getDate()

  - ### getContractId

    public int getContractId()

  - ### getSumma

    public BigDecimal getSumma()

  - ### getUserId

    public int getUserId()

  - ### getComment

    public String getComment()

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public void setContractTitle(String contractTitle)

  - ### getPaymentTypesTitle

    public String getPaymentTypesTitle()

  - ### setPaymentTypesTitle

    public void setPaymentTypesTitle(String paymentTypesTitle)

  - ### getQueueDate

    @Deprecated public Date getQueueDate()
    Deprecated.
    use getLogDate()

  - ### getLogDate

    public Date getLogDate()

  - ### setLogDate

    public void setLogDate(Date logDate)

  - ### getPosId

    public int getPosId()

  - ### setPosId

    public void setPosId(int posId)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getCheckData

    public String getCheckData()
    содержимое чека

  - ### setCheckData

    public void setCheckData(String checkData)
    содержимое чека

  - ### getLastError

    public String getLastError()
    последняя ошибка, если чек не напечатался (столбец last_error)

  - ### setLastError

    public void setLastError(String lastError)
    последняя ошибка, если чек не напечатался (столбец last_error)

  - ### isLastErrorIsConnect

    public boolean isLastErrorIsConnect()
    последняя ошибка является конкретно ошибкой коннекта

  - ### setLastErrorIsConnect

    public void setLastErrorIsConnect(boolean lastErrorIsConnect)
    последняя ошибка является конкретно ошибкой коннекта

  - ### getCheckType

    public Check.Type getCheckType()
    реальный тип чека: продажа, возврат, коррекция итд (столбец check_type)

  - ### setCheckType

    public void setCheckType(Check.Type checkType)
    реальный тип чека: продажа, возврат, коррекция итд (столбец check_type)

  - ### getPosMapping

    public String getPosMapping()
    Returns:
      the posMapping

  - ### getPrintMode

    @Deprecated public String getPrintMode()
    Deprecated.
    use getPosMapping

  - ### setPosMapping

    public void setPosMapping(String posMapping)
    Parameters:
      `printMode` - the paymentMode to set

  - ### getPendingId

    public String getPendingId()

  - ### setPendingId

    public void setPendingId(String pendingId)

  - ### getFiscalData

    public String getFiscalData()

  - ### setFiscalData

    public void setFiscalData(String fiscalData)

  - ### getLogId

    public int getLogId()

  - ### setLogId

    public void setLogId(int logId)

  - ### getPaymentId

    public int getPaymentId()

  - ### setPaymentId

    public void setPaymentId(int paymentId)

  - ### isPayment

    public boolean isPayment()

  - ### setIsPayment

    public void setIsPayment(boolean isPayment)